---
title: Delete Project
description: Deletes a specific project based on the provided projectId. This operation marks the project as deleted and is irreversible.
docs_index: /docs/llms.txt
lastUpdated: 2026-10-06
product: v0 API
type: reference
prerequisites:
  - /docs/api/v1/quickstart
---

> For an index of all documentation, see [/docs/llms.txt](/docs/llms.txt).

#### `DEL/v1/projects/{projectId}`

> **Deprecated**: v0 Projects are deprecated. Use the Vercel API to [delete a project](https://vercel.com/docs/rest-api/projects/delete-a-project).

## Usage

```typescript
import { v0 } from 'v0-sdk'

const result = await v0.projects.delete({
  projectId: 'abcd1234',
  deleteAllChats: true,
})

console.log(result)
```

```bash
curl -X DELETE "https://api.v0.dev/v1/projects/abcd1234?deleteAllChats=true"   -H "Authorization: Bearer $V0_API_KEY"   -H "Content-Type: application/json"
```

## API Signature

### Request

#### Path Parameters

- `projectId: string` The unique identifier of the project to delete. This must be passed as a path parameter in the URL.

#### Query Parameters

- `deleteAllChats?: boolean` If true, deletes all the chats associated with the given project ID. Deleting is permanent. Defaults to false.

### Response

- `id: string` The unique identifier of the deleted project.
- `object: 'project'` Fixed value identifying this object as a project.
- `deleted: 'true'` Confirmation that the project has been deleted.

---

For a semantic overview of all documentation, see [/docs/sitemap.md](/docs/sitemap.md)

For an index of all available documentation, see [/docs/llms.txt](/docs/llms.txt)

For agent-facing discovery, including API and MCP surfaces, see [/docs/agents.md](/docs/agents.md)